=== modified file 'server/item.cc'
--- server/item.cc	2008-07-15 16:08:59 +0000
+++ server/item.cc	2008-07-22 17:19:24 +0000
@@ -1343,7 +1343,7 @@
   for (i= 0, arg= args; i < nargs; i++, arg+= item_sep)
   {
     Item* conv;
-    uint32 dummy_offset;
+    uint32_t dummy_offset;
     if (!String::needs_conversion(0, (*arg)->collation.collation,
                                   coll.collation,
                                   &dummy_offset))
@@ -2174,7 +2174,7 @@
   return;
 }
 
-void Item_param::set_int(int64_t i, uint32 max_length_arg)
+void Item_param::set_int(int64_t i, uint32_t max_length_arg)
 {
   value.integer= (int64_t) i;
   state= INT_VALUE;
@@ -2236,7 +2236,7 @@
     MAX_DATE_STRING_REP_LENGTH buffer.
 */
 void Item_param::set_time(MYSQL_TIME *tm, timestamp_type time_type,
-                          uint32 max_length_arg)
+                          uint32_t max_length_arg)
 { 
   value.time= *tm;
   value.time.time_type= time_type;
@@ -2338,7 +2338,7 @@
     {
       CHARSET_INFO *fromcs= entry->collation.collation;
       CHARSET_INFO *tocs= thd->variables.collation_connection;
-      uint32 dummy_offset;
+      uint32_t dummy_offset;
 
       value.cs_info.character_set_of_placeholder= 
         value.cs_info.character_set_client= fromcs;
@@ -2646,7 +2646,7 @@
       *ptr++= '\'';
       ptr+= (uint) my_TIME_to_str(&value.time, ptr);
       *ptr++= '\'';
-      str->length((uint32) (ptr - buf));
+      str->length((uint32_t) (ptr - buf));
       break;
     }
   case STRING_VALUE:
@@ -4587,7 +4587,7 @@
                         collation.collation);
 
   uint64_t nr;
-  uint32 length= str_value.length();
+  uint32_t length= str_value.length();
   if (length > 8)
   {
     nr= field->flags & UNSIGNED_FLAG ? UINT64_MAX : INT64_MAX;
@@ -6338,7 +6338,7 @@
   case STRING_RESULT:
   {
     const char *old_cs, *old_derivation;
-    uint32 old_max_chars= max_length / collation.collation->mbmaxlen;
+    uint32_t old_max_chars= max_length / collation.collation->mbmaxlen;
     old_cs= collation.collation->name;
     old_derivation= collation.derivation_name();
     if (collation.aggregate(item->collation, MY_COLL_ALLOW_CONV))
@@ -6403,7 +6403,7 @@
     length
 */
 
-uint32 Item_type_holder::display_length(Item *item)
+uint32_t Item_type_holder::display_length(Item *item)
 {
   if (item->type() == Item::FIELD_ITEM)
     return ((Item_field *)item)->max_disp_length();

=== modified file 'server/item.h'
--- server/item.h	2008-07-15 06:45:16 +0000
+++ server/item.h	2008-07-22 17:19:24 +0000
@@ -476,7 +476,7 @@
   /* Original item name (if it was renamed)*/
   char * orig_name;
   Item *next;
-  uint32 max_length;
+  uint32_t max_length;
   uint name_length;                     /* Length of name */
   int8 marker;
   uint8 decimals;
@@ -1166,7 +1166,7 @@
   Item *equal_fields_propagator(uchar *arg);
   bool set_no_const_sub(uchar *arg);
   Item *replace_equal_field(uchar *arg);
-  inline uint32 max_disp_length() { return field->max_display_length(); }
+  inline uint32_t max_disp_length() { return field->max_display_length(); }
   Item_field *filed_for_view_update() { return this; }
   Item *safe_charset_converter(CHARSET_INFO *tocs);
   int fix_outer_field(THD *thd, Field **field, Item **reference);
@@ -1312,12 +1312,12 @@
   int  save_in_field(Field *field, bool no_conversions);
 
   void set_null();
-  void set_int(int64_t i, uint32 max_length_arg);
+  void set_int(int64_t i, uint32_t max_length_arg);
   void set_double(double i);
   void set_decimal(const char *str, ulong length);
   bool set_str(const char *str, ulong length);
   bool set_longdata(const char *str, ulong length);
-  void set_time(MYSQL_TIME *tm, timestamp_type type, uint32 max_length_arg);
+  void set_time(MYSQL_TIME *tm, timestamp_type type, uint32_t max_length_arg);
   bool set_from_user_var(THD *thd, const user_var_entry *entry);
   void reset();
   /*
@@ -2505,7 +2505,7 @@
   String *val_str(String*);
   bool join_types(THD *thd, Item *);
   Field *make_field_by_type(TABLE *table);
-  static uint32 display_length(Item *item);
+  static uint32_t display_length(Item *item);
   static enum_field_types get_real_type(Item *);
 };
 

=== modified file 'server/sql_class.cc'
--- server/sql_class.cc	2008-07-20 07:36:57 +0000
+++ server/sql_class.cc	2008-07-22 17:19:24 +0000
@@ -1101,7 +1101,7 @@
 
 void THD::update_charset()
 {
-  uint32 not_used;
+  uint32_t not_used;
   charset_is_system_charset= !String::needs_conversion(0,charset(),
                                                        system_charset_info,
                                                        &not_used);
@@ -2529,7 +2529,7 @@
  */
 
 template <class RowsEventT> Rows_log_event* 
-THD::binlog_prepare_pending_rows_event(TABLE* table, uint32 serv_id,
+THD::binlog_prepare_pending_rows_event(TABLE* table, uint32_t serv_id,
                                        size_t needed,
                                        bool is_transactional,
 				       RowsEventT *hint __attribute__((unused)))
@@ -2605,15 +2605,15 @@
   compiling option.
 */
 template Rows_log_event*
-THD::binlog_prepare_pending_rows_event(TABLE*, uint32, size_t, bool,
+THD::binlog_prepare_pending_rows_event(TABLE*, uint32_t, size_t, bool,
 				       Write_rows_log_event*);
 
 template Rows_log_event*
-THD::binlog_prepare_pending_rows_event(TABLE*, uint32, size_t, bool,
+THD::binlog_prepare_pending_rows_event(TABLE*, uint32_t, size_t, bool,
 				       Delete_rows_log_event *);
 
 template Rows_log_event* 
-THD::binlog_prepare_pending_rows_event(TABLE*, uint32, size_t, bool,
+THD::binlog_prepare_pending_rows_event(TABLE*, uint32_t, size_t, bool,
 				       Update_rows_log_event *);
 #endif
 

=== modified file 'server/sql_class.h'
--- server/sql_class.h	2008-07-20 07:56:12 +0000
+++ server/sql_class.h	2008-07-22 17:19:24 +0000
@@ -586,7 +586,7 @@
     STATUS.
   */
   char *query;
-  uint32 query_length;                          // current query length
+  uint32_t query_length;                          // current query length
 
   /**
     Name of the current (default) database.
@@ -1108,8 +1108,8 @@
     first byte of the packet in do_command()
   */
   enum enum_server_command command;
-  uint32     server_id;
-  uint32     file_id;			// for LOAD DATA INFILE
+  uint32_t     server_id;
+  uint32_t     file_id;			// for LOAD DATA INFILE
   /* remote (peer) port */
   uint16 peer_port;
   time_t     start_time, user_time;
@@ -1142,13 +1142,13 @@
   int binlog_update_row(TABLE* table, bool is_transactional,
                         const uchar *old_data, const uchar *new_data);
 
-  void set_server_id(uint32 sid) { server_id = sid; }
+  void set_server_id(uint32_t sid) { server_id = sid; }
 
   /*
     Member functions to handle pending event for row-level logging.
   */
   template <class RowsEventT> Rows_log_event*
-    binlog_prepare_pending_rows_event(TABLE* table, uint32 serv_id,
+    binlog_prepare_pending_rows_event(TABLE* table, uint32_t serv_id,
                                       size_t needed,
                                       bool is_transactional,
 				      RowsEventT* hint);
@@ -1168,7 +1168,7 @@
      Flags with per-thread information regarding the status of the
      binary log.
    */
-  uint32 binlog_flags;
+  uint32_t binlog_flags;
 public:
   uint get_binlog_table_maps() const {
     return binlog_table_maps;

